const inpCont = document.getElementById("inparea");
const trContpara = document.getElementById("translated");
const mappingData = {
                        "!":"!",
                        "1":"൧",
                        "@":"@",
                        "2":"൨",
                        "3":"൩",
                        "$":"$",
                        "4":"൪",
                        "%":"%",
                        "5":"൫",
                        "^":"^",
                        "6":"൬",
                        "7":"൭",
                        "*":"*",
                        "8":"൮",
                        "(":"(",
                        "9":"൯",
                        ")":")",
                        "0":"൦",
                        "_":"𑏍",
                        "-":"-",
                        "+":"𑎆",
                        "=": "𑎽",
                        "Q":"𑎑",
                        "q":"𑏈",
                        "W":"𑎎",
                        "w":"ൈ",
                        "E":"𑎁",
                        "e":"𑎸",
                        "R":"𑎃",
                        "r":"𑎺",
                        "T":"𑎅",
                        "t": "𑎼",
                        "Y":"𑎩",
                        "y":"𑎨",
                        "U":"𑎖",
                        "u":"𑎲",
                        "I":"𑎕",
                        "i":"𑎔",
                        "O":"𑎤",
                        "o":"𑎣",
                        "P":"𑎚",
                        "p":"𑎙",
                        "{":"𑎟",
                        "[":"𑎞",
                        "}":"𑎛",
                        "]":"‍",
                        "A":"ഓ",
                        "a":"ോ",
                        "S":"ഏ",
                        "s":"േ",
                        "D":"𑎀",
                        "d":"𑏊",
                        "F":"𑎂",
                        "f":"𑎹",
                        "G":"𑎄",
                        "g": "𑎻",
                        "H":"𑎧",
                        "h":"𑎦",
                        "J":"റ",
                        "j":"ര",
                        "K":"𑎓",
                        "k":"𑎒",
                        "L":"𑎢",
                        "l":"𑎡",
                        ":":"𑎘",
                        ";":"𑎗",
                        "\"":"𑎝",
                        "'":"𑎜",
                        "|":"|",
                        "\\":"‌",
                        "~":"𑎐",
                        "`":"𑏇",
                        "Z":"𑎋",
                        "z":"𑏂",
                        "X":"X",
                        "x":"𑏌",
                        "C":"𑎠",
                        "c":"𑎪",
                        "V":"V",
                        "v":"𑎥",
                        "B":"ഴ",
                        "b":"𑎮",
                        "N":"𑎳",
                        "n":"𑎭",
                        "M":"𑎯",
                        "m":"𑎱",
                        "<":"𑎰",
                        ",":",",
                        ">":">",
                        ".":".",
                        "/":"𑎫",
                        "#": "്𑎬",
                        "&":"𑏘"
        };
inpCont.addEventListener("keypress", translateKeyPress);

function translateKeyPress(e){
    trContpara.textContent += ` ${mappingData[e.key] ?? e.key}`;
}

